#pragma once
#include "afxwin.h"


class CCallPickUpDlg : public CPropertyPage
{
	DECLARE_DYNAMIC(CCallPickUpDlg)
	
public:

	CCallPickUpDlg();
	virtual ~CCallPickUpDlg();

// Dialog Data
	enum { IDD = IDD_DIALOG_CALLPICKUP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:

	afx_msg void OnButtonCallPickUpGroupAdd();
	afx_msg void OnButtonCallPickUpGroupRemove();
	afx_msg void OnButtonClearCallPickUpDlg();
	afx_msg void OnButtonCallPickUpMemberAdd();
	afx_msg void OnButtonCallPickUpMemberRemove();
	afx_msg void OnButtonClearCallPickUpGroupDlg();
	afx_msg void OnButtonClearCallPickUpMemberDlg();
	afx_msg void OnCbnSelchangeComboCallPickupGroup();

private:

	CComboBox m_ctrlComboPickUpGroup;
		
	CComboBox m_ctrlListLogin;
	CListBox m_ctrlListPickUpMember;

	CString m_sPickUpGroupName;
	CString m_sPickUpLoginName;
	CString m_sPickUpMemberName;

private:

	void ClearDlgUI();
	void ClearAgentDlgContent();
	
	virtual BOOL OnSetActive();


private:

	BOOL AddPickupGroupChecks();

	void AddPickUpGroups();
	void AddUsers();

	void ShowPickUpGroupDetails();
	void GetMemberNameAll(CStringList& objList);
};
