#include "afxwin.h"

#pragma once

class CGeneralDlg : public CPropertyPage
{


public:
	CGeneralDlg();

// Dialog Data
	//{{AFX_DATA(CGeneralDlg)
	enum { IDD = IDD_DIALOG_GENERAL };
	
private:

	BOOL m_bServerRunning;

	CString	m_sServerStatus;
	int	m_nListenPort;

	CString	m_sHoldPlayWaveFile;
	CString	m_sDialTonePlayWaveFile;
	CString m_sPlayWaveParkFile;
	//}}AFX_DATA

private:
			
	void UpdateStats();
	void ClearStats();
	
private:

	DWORD GetAvailableMEM();
	LONG GetUsageCPU();

public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGeneralDlg)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGeneralDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonServerStart();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnDestroy();

private:

	void LoadCOMM();
	
public:
	CButton m_ctrlBtnStart;
};
