#pragma once

class CVaxCallSession;

typedef CMap<LONG, LONG, CVaxCallSession*, CVaxCallSession*> CHashCallSessionList;


class CVaxCallSessionList
{

private:

	CHashCallSessionList m_objSessionList;
	
public:
	
	CVaxCallSessionList();
	~CVaxCallSessionList();

private:

	CVaxCallSession* Find(LONG nSessionId);
	
public:

	BOOL AddSession(LONG nSessionId, CVaxCallSession* pData);
	void RemoveSession(LONG nSessionId);

	CVaxCallSession* GetSession(LONG nSessionId);
	BOOL IsExist(LONG nSessionId);

	void ClearAll();
};

