#pragma once

class CVaxQueueDetails : public CVaxHashTextData
{

public:

	CVaxQueueDetails();
	~CVaxQueueDetails();

public:

	LONG m_nMusicWaveId;
    LONG m_nDialToneWaveId;
};

////////////////////////////////////////////////

class CVaxQueueList
{

public:

	CVaxQueueList(void);
	~CVaxQueueList(void);

private:

	CVaxHashText m_objQueueList;

public:

	void AddQueue(LPCTSTR sQueueName, LONG nMusicWaveId, LONG nDialToneWaveId);
	void RemoveQueue(LPCTSTR sQueueName);

	LONG GetQueueMusicId(LPCTSTR sQueueName);
	LONG GetQueueDialToneId(LPCTSTR sQueueName);

};



