#pragma once

class CStoreLine
{

private:

	static BOOL AddLineRoute(LPCTSTR sLineName, LPCTSTR sToPeerName, BOOL bRejected, LPCTSTR sRoomName, LPCTSTR sQueueName, LPCTSTR sRingGroupName);
	static BOOL GetLineRoute(LPCTSTR sLineName, CString& sToPeerName, BOOL& bRejected, CString& sRoomName, CString& sQueueName, CString& sRingGroupName);
    static void RemoveLineRoute(LPCTSTR sLineName);

public:

	static BOOL AddLine(LPCTSTR sLineName, LONG nLineType, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sServerAddr, LONG nServerPort, LPCTSTR sAudioCodecList, BOOL bRegister, LPCTSTR sToPeerName, BOOL bRejected, LPCTSTR sRoomName, LPCTSTR sQueueName, LPCTSTR sRingGroupName);
	static void RemoveLine(LPCTSTR sLineName);
	static BOOL GetLine(LPCTSTR sLineName, LONG& nLineType, CString& sAuthUser, CString& sAuthPwd, CString& sServerAddr, LONG& nServerPort, CString& sAudioCodecList, BOOL& bRegister, CString& sToPeerName, BOOL& bRejected, CString& sRoomName, CString& sQueueName, CString& sRingGroupName);
		
	static void GetLineNameAll(CStringList& objList);
	static BOOL IsDataStored();
};

