#pragma once

class CStoreQueue
{

private:

	static BOOL SetMediaFiles(LPCTSTR sQueueName, LPCTSTR sMusicFileName, LPCTSTR sDialToneFileName);
	static void GetMediaFiles(LPCTSTR sQueueName, CString& sMusicFileName, CString& sDialToneFileName);

	static BOOL SetQueueProcessMode(LPCTSTR sQueueName, LONG nProcessMode, LONG nProcessType);
	static void GetQueueProcessMode(LPCTSTR sQueueName, LONG& nProcessMode, LONG& nProcessType);

	static void AddQueueAgentNameAll(LPCTSTR sQueueName, CStringList& objList);
	static void GetQueueAgentNameAll(LPCTSTR sQueueName, CStringList& objList);

public:
    
	static BOOL AddQueue(LPCTSTR sQueueName, LONG nProcessMode, LONG nProcessType, CStringList& objAgentList, LPCTSTR sMusicFileName, LPCTSTR sDialToneFileName);
	static void RemoveQueue(LPCTSTR sQueueName);
	
	static void GetQueueNameAll(CStringList& objList);
	static BOOL GetQueue(LPCTSTR sQueueName, LONG& nProcessMode, LONG& nProcessType, CStringList& objAgentList, CString& sMusicFileName, CString& sDialToneFileName);

	static BOOL IsDataStored();
};
