
#pragma once

//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

class CVaxHashTextData : public CObject 
{

public:

	CVaxHashTextData();
	virtual ~CVaxHashTextData();

public:

	CString m_sName;
};

//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

typedef CMap<CString, LPCTSTR, CVaxHashTextData*, CVaxHashTextData*> CHashTextDataList;

class CVaxHashText  
{

public:

	CVaxHashText();
	CVaxHashText(LONG nSize);

	~CVaxHashText();

private:

	CHashTextDataList* m_pDataList;

private:

	CString GenKey(CString sValue);

public:

	void AddData(LPCTSTR sName, CVaxHashTextData* pData);

	void RemoveData(LPCTSTR sName);
	void DeleteData(LPCTSTR sName);

	CVaxHashTextData* FindData(LPCTSTR sName);
	BOOL IsExistData(LPCTSTR sName);

	void GetNameAll(CStringList& objList);
	
	void RemoveAll();
	void DeleteAll();
};


