#pragma once
#include "afxwin.h"


class CRingGroupDlg : public CPropertyPage
{
	DECLARE_DYNAMIC(CRingGroupDlg)

public:

	CRingGroupDlg();
	virtual ~CRingGroupDlg();

	enum { IDD = IDD_DIALOG_RINGGROUP };

protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

public:

	afx_msg void OnButtonRingGroupAdd();
	afx_msg void OnButtonRingGroupRemove();
	afx_msg void OnButtonClearRingGroupDlg();
	afx_msg void OnButtonRingGroupAddAgent();
	afx_msg void OnButtonRingGroupRemoveAgent();
	afx_msg void OnButtonClearRingGroupAgentDlg();

private:
	
	CComboBox m_ctrlComboRingGroup;
	CComboBox m_ctrlComboAgents;
	
	CComboBox m_ctrlComboProcessMode;
	CComboBox m_ctrlComboProcessType;
	
	CListBox m_ctrlListRingGroupAgent;

	CString m_sRingGroupName;
	CString m_sAgentName;
	CString m_sProcessMode;
		
public:

	BOOL AddRingGroupChecks();
	virtual BOOL OnSetActive();

private:

	void ShowRingGroupDetails();

	int GetProcessMode();
	int GetProcessType();

	void AddProcessMode();
	void AddProcessType();
	void AddRingGroups();	
	void AddUsers();
	
	void UpdateDlgUI();

	void ClearDlgUI();
	void ClearDlgAgentContent();

	void GetAgentNameAll(CStringList& objList);
	
public:

	afx_msg void OnCbnSelchangeComboRingGroup();
	
	
	CString m_sProcessType;
};
