#pragma once

class CVaxCallParking
{

public:

	CVaxCallParking(void);
	~CVaxCallParking(void);

private:

	static LONG m_nMusicCallParkingId;

private:
		
	static BOOL StartMusic(LONG nSessionId, LONG nChannelId);
	static void StopMusic(LONG nSessionId);

public:

	static void ResetAll(BOOL bAlloc, BOOL bDeAlloc);
	static BOOL LoadMusic(LPCTSTR sFileName);
	
public:

	static void OnIncomingCall(LONG nSessionId, LPCTSTR sCallerName, LPCTSTR sCallerId, LPCTSTR sDialNo, LPCTSTR sRouteUID);
	static void OnCallSessionTransferBlind(LONG nTransfererSessionId, LONG nTransfererChannelId, LPCTSTR sTransferee, LPCTSTR sTransferTo, LPCTSTR sRouteUID);

};

