
#pragma once

class CVaxQueueList;

class CVaxQueue
{
public:

	CVaxQueue(void);
	~CVaxQueue(void);

private:

	static CVaxQueueList* m_pQueueList;
	
private:

	static void AddQueueList(LPCTSTR sQueueName, LPCTSTR sMusicFileName, LPCTSTR sDialToneFileName);
	static void RemoveQueueList(LPCTSTR sQueueName);

public:

	static void ResetAll(BOOL bAlloc, BOOL bDeAlloc);

	static BOOL AddQueue(LPCTSTR sQueueName, LONG nProcessMode, LONG nProcessType, CStringList& objAgentList, LPCTSTR sMusicFileName, LPCTSTR sDialToneFileName);
	static void RemoveQueue(LPCTSTR sQueueName);
	static void LoadQueue();
		
public:

	void OnIncomingCall(LONG nSessionId, LPCTSTR sCallerName, LPCTSTR sCallerId, LPCTSTR sQueueName, BOOL& bProcessed);
		
	void OnQueuePlayWaveStarted(LONG nEventType, LPCTSTR sQueueName, LONG nSessionId);
	void OnQueuePlayWaveEnded(LONG nEventType, LPCTSTR sQueueName, LONG nSessionId);
};

