#include "stdafx.h"
#include "VaxQueueList.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////

CVaxQueueDetails::CVaxQueueDetails()
{
	
}

CVaxQueueDetails::~CVaxQueueDetails()
{
	
}

///////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////

CVaxQueueList::CVaxQueueList(void)
{
}


CVaxQueueList::~CVaxQueueList(void)
{
	
}

void CVaxQueueList::AddQueue(LPCTSTR sQueueName, LONG nMusicWaveId, LONG nDialToneWaveId)
{
	m_objQueueList.DeleteData(sQueueName);

	CVaxQueueDetails* pDetails = new CVaxQueueDetails();
            
	pDetails->m_nMusicWaveId = nMusicWaveId;
    pDetails->m_nDialToneWaveId = nDialToneWaveId;

	m_objQueueList.AddData(sQueueName, pDetails);
}

void CVaxQueueList::RemoveQueue(LPCTSTR sQueueName)
{
	m_objQueueList.DeleteData(sQueueName);
}

LONG CVaxQueueList::GetQueueMusicId(LPCTSTR sQueueName)
{
	CVaxQueueDetails* pDetails = (CVaxQueueDetails*) m_objQueueList.FindData(sQueueName);
	if(pDetails == NULL) return -1;

	return pDetails->m_nMusicWaveId;
}

LONG CVaxQueueList::GetQueueDialToneId(LPCTSTR sQueueName)
{
	CVaxQueueDetails* pDetails = (CVaxQueueDetails*) m_objQueueList.FindData(sQueueName);
	if(pDetails == NULL) return -1;

	return pDetails->m_nDialToneWaveId;
}
